from rocolib.api.components import Component
from rocolib.utils.utils import copyDecorations


class BrainsTwoWheels(Component):
    def assemble(self):
        copyDecorations(self, ("frightservoface", ("fright", "face0", -1, 0)),
                        ("frightservosheath", ("sheath0", "face3", -1, 0)))
        copyDecorations(self, ("bleftservoface", ("bleft", "face0", 2, 1)),
                        ("bleftservosheath", ("sheath0", "face1", 0, -1)))
        copyDecorations(self, ("brainface", ("holder", "face1", 0, 1)),
                        ("brainsheath", ("sheath0", "face0", 1, 2)))

if __name__ == "__main__":
    BrainsTwoWheels.test()